Loading...
Searching...
No Matches
OgreAnimationTrack.h File Reference
`#include "OgrePrerequisites.h"`
`#include "OgreHeaderPrefix.h"`
`#include "OgreSimpleSpline.h"`
`#include "OgreRotationalSpline.h"`
`#include "OgrePose.h"`
`#include "OgreHeaderSuffix.h"`

## Classes

class | Ogre::AnimationTrack
| A 'track' in an animation sequence, i.e. More...
class | Ogre::AnimationTrack::Listener
| Listener allowing you to override certain behaviour of a track, for example to drive animation procedurally. More...
class | Ogre::NodeAnimationTrack
| Specialised AnimationTrack for dealing with node transforms. More...
class | Ogre::NumericAnimationTrack
| Specialised AnimationTrack for dealing with generic animable values. More...
class | Ogre::TimeIndex
| Time index object used to search keyframe at the given position. More...
class | Ogre::VertexAnimationTrack
| Specialised AnimationTrack for dealing with changing vertex position information. More...

## Namespaces

namespace | Ogre

## Enumerations

enum | Ogre::VertexAnimationType : uint8 { Ogre::VAT_NONE = 0 , Ogre::VAT_MORPH = 1 , Ogre::VAT_POSE = 2 }
| Type of vertex animation. More...